summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorRepository mirror & CI <repomirrorci@gentoo.org>2026-02-22 03:45:59 +0000
committerRepository mirror & CI <repomirrorci@gentoo.org>2026-02-22 03:45:59 +0000
commita3126bf75de52efe6f22ba8f6de0cf4de0673d4b (patch)
tree2c40c6afd0b00bf9ecb4a336d141c38ca1231454 /dev-python
parent06410af096fade1a310fff568bb7cfaf6e30c72f (diff)
parent31a2df542b3e3444e0ebcb78f30010494c2cdde8 (diff)
downloadgentoo-a3126bf75de52efe6f22ba8f6de0cf4de0673d4b.tar.gz
gentoo-a3126bf75de52efe6f22ba8f6de0cf4de0673d4b.tar.bz2
gentoo-a3126bf75de52efe6f22ba8f6de0cf4de0673d4b.zip
Merge updates from master
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/cmd2/Manifest1
-rw-r--r--dev-python/cmd2/cmd2-3.2.2.ebuild58
-rw-r--r--dev-python/inline-snapshot/Manifest2
-rw-r--r--dev-python/inline-snapshot/inline-snapshot-0.32.2.ebuild65
-rw-r--r--dev-python/python-box/Manifest1
-rw-r--r--dev-python/python-box/python-box-7.4.1.ebuild65
-rw-r--r--dev-python/typer/Manifest1
-rw-r--r--dev-python/typer/typer-0.24.1.ebuild67
-rw-r--r--dev-python/xmltodict/Manifest2
-rw-r--r--dev-python/xmltodict/xmltodict-1.0.4.ebuild23
10 files changed, 285 insertions, 0 deletions
diff --git a/dev-python/cmd2/Manifest b/dev-python/cmd2/Manifest
index c9bec1760a53..e34f45c6cbde 100644
--- a/dev-python/cmd2/Manifest
+++ b/dev-python/cmd2/Manifest
@@ -3,3 +3,4 @@ DIST cmd2-3.1.0.tar.gz 1002416 BLAKE2B d21981abc56e7493f725a7b6adfca8d46c6940560
DIST cmd2-3.1.2.tar.gz 708232 BLAKE2B 45f66f9c78b6f2dc244ed03f924b504c9c4435e8927b9d45a29888e9964918a4c646869a3ce12e4b483cfed97290ecc19036157041810d57f4ea91e37463cbe4 SHA512 383c627d92477f71bd4cb571873da3066ba91cd26865c45356519d744b004b5034a35ab59a2928c057b60fc4d7aa8a96d44185144dae1a684f2d12f8794566b1
DIST cmd2-3.1.3.tar.gz 709193 BLAKE2B a2856db6e6554138b3cc9b4c0cfd4ab71eae5eebb66802a4f51dc983a31f706c2c0cfd27992ebcc08b01e65aa74b3c5ca1b7f21cf66d56e9c7ebd211586747cd SHA512 d612c1f543b5e9fedcca0bc368b8b1c5f3a27c4e1ab5229ac4bafbca167680a006d7bc9d7946eef65f6efbe843b5bf7c662acabebacce685cfa779840a8006cb
DIST cmd2-3.2.0.tar.gz 705044 BLAKE2B 994cb9350e83f02486269a0b006ea9a95fb6700b1a41f53b354ca88013bdbb5cef2ea64e1932f1c72831b2ff99ddee31ec4e5c55697ac44e4cb8cd9bc977be24 SHA512 03d1564c0b9731ec2b2ee9781c54ce9c7b81e871d2a791f77beff26e92afd7a26f94ac90136a53b93ec250d4250c688da90b3fbd0e6cb29dffff7367524e37db
+DIST cmd2-3.2.2.tar.gz 706453 BLAKE2B 8cd79320190191a279ddc7c5ff011a5bf73d89b46f36870e19aea554c450e9830d9fba647be7f70499c2cf0d2847f9673c36ff824c2f394f52cd4d7aad2dbb41 SHA512 d384e85fc007db1387be5036747894d77552ab0009e7a3bf2465b85893921dbc36b902636b98485e1eac069b878ac460aeaa92078ddd4befdf0f8f3595d76e16
diff --git a/dev-python/cmd2/cmd2-3.2.2.ebuild b/dev-python/cmd2/cmd2-3.2.2.ebuild
new file mode 100644
index 000000000000..00a74ca2640c
--- /dev/null
+++ b/dev-python/cmd2/cmd2-3.2.2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 optfeature virtualx pypi
+
+DESCRIPTION="Extra features for standard library's cmd module"
+HOMEPAGE="
+ https://github.com/python-cmd2/cmd2/
+ https://pypi.org/project/cmd2/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~mips ~ppc64 ~riscv ~s390 ~x86"
+
+RDEPEND="
+ >=dev-python/pyperclip-1.8.2[${PYTHON_USEDEP}]
+ >=dev-python/rich-14.3.0[${PYTHON_USEDEP}]
+ >=dev-python/rich-argparse-1.7.1[${PYTHON_USEDEP}]
+"
+# pyperclip uses clipboard backends in the following preference order:
+# pygtk, xclip, xsel, klipper, qtpy, pyqt5, pyqt4.
+# klipper is known to be broken in Xvfb, and therefore causes test
+# failures. to avoid them, we must ensure that one of the backends
+# preferred to it is available (i.e. xclip or xsel).
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ || (
+ x11-misc/xclip
+ x11-misc/xsel
+ )
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-mock )
+EPYTEST_RERUNS=5
+distutils_enable_tests pytest
+
+src_test() {
+ # tests rely on very specific text wrapping...
+ local -x COLUMNS=80
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ # TODO: tests_isolated?
+ nonfatal epytest -o addopts= tests || die
+}
+
+pkg_postinst() {
+ optfeature "IPython shell integration" dev-python/ipython
+}
diff --git a/dev-python/inline-snapshot/Manifest b/dev-python/inline-snapshot/Manifest
index e8cbb5bbe15a..97dcc39d6384 100644
--- a/dev-python/inline-snapshot/Manifest
+++ b/dev-python/inline-snapshot/Manifest
@@ -11,3 +11,5 @@ DIST inline_snapshot-0.32.0.tar.gz 2623331 BLAKE2B ed29345b9236292aa820e3926b96b
DIST inline_snapshot-0.32.0.tar.gz.provenance 9665 BLAKE2B bcba9dd58345c697d5ba7de4852e08be915cb3ba170a51a4289cdb3cc2b66dd126fe6b284b3346928cbf84b9720d5fc46bd6a265a392e825550f5ce809990a8c SHA512 afe9d82d4973fb6589a0845ad005ec1d74abcd76bb840e5d4ea1ded3195c69e4cc5477f89a4ba9255f3624c322ffcb93bc3f2764bc848dd3683164858540b1fa
DIST inline_snapshot-0.32.1.tar.gz 2624124 BLAKE2B 289571be18d6d674f400abe8ca862b2e58b3bdf617d77e8277ced64eb4b7769239d05db9856ec12ad9f8aa9c4717f975c25aec2f786fda6e86659fdf72045bda SHA512 c91b426c1186d236e958c5a1b6bc87b66f35ba989db6b22607ce2867debd01c22600ee9c52211a22654480ac2caaff099c269ef3d487d599064cd9329b215266
DIST inline_snapshot-0.32.1.tar.gz.provenance 9473 BLAKE2B 5b9e956faca6e1d2b74bfd6e891693caf1524888cf0398747fc356016dc908d092b06eed3fcf276ff961d05604f6d1cf3ef4d2183baebf84136570fc4a810d43 SHA512 85f312be7f289b93603e286eea153622b85b6f56bba58d1f7d6464bd88e335020be46d7389d9ab0d3eb3d7c4a5661b9239c8064d3ca6faa452e170a825a75058
+DIST inline_snapshot-0.32.2.tar.gz 2624220 BLAKE2B 250ca4b9647e813175b760b123a792bca1c049942481ccd0cb46b9c40cca1ec6639ec6683fbc235c99de3ef8f8db60ce7d636015e34e2e7b0449fd4121429f9d SHA512 e8c0a16144e4614207c827bffa7b5f51f166d41bbcf68c16a50b91e16fc34fb64e79a0f75b0820a9af315d455813f52ffa7752ec5300834c3c38870d79c0f3bc
+DIST inline_snapshot-0.32.2.tar.gz.provenance 9195 BLAKE2B 7e84ebd16fb2e513c3cfd54c691ae605d5a44b2ef0454287c40a80a930e447988807b5261316f35cc57133e238672ed393d0c0ef4cb6d63a1f0708e0aaf9cb30 SHA512 44ef5c93c75dd0179e776180a50810790bee8663439f9d918a9392cb0bb6f8c665a0135dead8e707866f65e426bc1ecdf642023519252c26200d2ebdc98ea1f2
diff --git a/dev-python/inline-snapshot/inline-snapshot-0.32.2.ebuild b/dev-python/inline-snapshot/inline-snapshot-0.32.2.ebuild
new file mode 100644
index 000000000000..b7f7ad6690fd
--- /dev/null
+++ b/dev-python/inline-snapshot/inline-snapshot-0.32.2.ebuild
@@ -0,0 +1,65 @@
+# Copyright 2024-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/15r10nk/inline-snapshot
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Create and update inline snapshots in your Python tests"
+HOMEPAGE="
+ https://15r10nk.github.io/inline-snapshot/
+ https://github.com/15r10nk/inline-snapshot/
+ https://pypi.org/project/inline-snapshot/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/asttokens-2.0.5[${PYTHON_USEDEP}]
+ >=dev-python/executing-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8.3.4[${PYTHON_USEDEP}]
+ >=dev-python/rich-13.7.1[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/attrs[${PYTHON_USEDEP}]
+ >=dev-python/black-23.3.0[${PYTHON_USEDEP}]
+ >=dev-python/dirty-equals-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-6.75.5[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/mypy[${PYTHON_USEDEP}]
+ ' 'python*')
+ >=dev-python/pydantic-2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-freezer-0.4.8[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-3.14.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-subtests-0.11.0[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGIN_LOAD_VIA_ENV=1
+EPYTEST_PLUGINS=( "${PN}" pytest-{freezer,mock,subtests,xdist} )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires pyright
+ 'tests/test_typing.py::test_typing_args[pyright]'
+ 'tests/test_typing.py::test_typing_call[pyright]'
+ # TODO
+ tests/test_formating.py::test_format_command_fail
+ 'tests/test_docs.py::test_docs[categories.md]'
+ 'tests/test_docs.py::test_docs[code_generation.md]'
+ 'tests/test_docs.py::test_docs[testing.md]'
+ )
+
+ local -x PYTHONPATH=${S}/src
+ epytest
+}
diff --git a/dev-python/python-box/Manifest b/dev-python/python-box/Manifest
index fa9f37141cf3..7f109fb5b61d 100644
--- a/dev-python/python-box/Manifest
+++ b/dev-python/python-box/Manifest
@@ -1 +1,2 @@
DIST Box-7.3.2.gh.tar.gz 88125 BLAKE2B c5f1fb1aa0ebad873869e401ebf74ba9dd99dde79585248f2f91c11d0f8bbf673447b2a521e209452c706e7d3fc8eee0b1e80e37f48ca5d9f7742fb9edadee5d SHA512 82baa150fbc7fbc4659b4395f6329daffc1fcfbf773112c05ba114316468e46fb0757f607a15c69ad94c5d9e0dfcfa6fed294debb70fd93063458345e7f295e4
+DIST Box-7.4.1.gh.tar.gz 89513 BLAKE2B 32fc6046528ce79d41f19143a13810868fc074ce997c5a9558026a001ba819e9d51dc75e332a766650bea4f78b1af88f682de7d23a6252917338125e4c46312b SHA512 2dc78e368257a15a7ab1bc5a69bdc6edba1d98308da127670fde22440f30be1fa44d68641db270a733872b96e1658a37fc18ec4faec584515fa9bf02850da41e
diff --git a/dev-python/python-box/python-box-7.4.1.ebuild b/dev-python/python-box/python-box-7.4.1.ebuild
new file mode 100644
index 000000000000..166b28e9cb34
--- /dev/null
+++ b/dev-python/python-box/python-box-7.4.1.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+MY_P=Box-${PV}
+DESCRIPTION="Python dictionaries with advanced dot notation access"
+HOMEPAGE="
+ https://github.com/cdgriffith/Box/
+ https://pypi.org/project/python-box/
+"
+SRC_URI="
+ https://github.com/cdgriffith/Box/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+native-extensions"
+
+RDEPEND="
+ dev-python/msgpack[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ dev-python/tomli-w[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ native-extensions? (
+ dev-python/cython[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # require unpackaged 'toon' (probably from git too)
+ test/test_box.py::TestBox::test_toon_files
+ test/test_box.py::TestBox::test_toon_from_toon_with_box_args
+ test/test_box.py::TestBox::test_toon_strings
+ test/test_box_list.py::TestBoxList::test_toon_files
+ test/test_box_list.py::TestBoxList::test_toon_strings
+)
+
+src_prepare() {
+ if ! use native-extensions; then
+ # a cheap hack, extensions are auto-disabled if Cython.Build
+ # is not importable
+ > Cython.py || die
+ fi
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ rm -rf box || die
+ epytest
+}
diff --git a/dev-python/typer/Manifest b/dev-python/typer/Manifest
index db5b04ed046e..4ea0f873502e 100644
--- a/dev-python/typer/Manifest
+++ b/dev-python/typer/Manifest
@@ -3,3 +3,4 @@ DIST typer-0.21.0.tar.gz.provenance 9031 BLAKE2B 99ff1f36faba9fdf49bd52ca84e0aab
DIST typer-0.23.0.tar.gz 120181 BLAKE2B ed10661ad2cc942c4010bb9cf01b6a37e1426e7f17632c826375f151fb02b5641e32e4bf8ea07c45f86e1a3c91982df30b4a58fc9e0391717c84ad3fffc1db74 SHA512 a21e41a4075610d12cd28cdb6e8d5136437cb942925b19f95c34db3e62574a03773d5a242dcbd67eac5e77907ca091a9c689638a65ffe411a0fcef20b897a7ca
DIST typer-0.23.1.tar.gz 120047 BLAKE2B 51461f8514acccf270dc5c86e24ba842d82f0c1c7b4a121725a8f96cefd5b0d06806e5f3262d6a1f2b5ed25e2ae8e3dfd545e4bcd4a8bda90827609f743f732a SHA512 f6d40ef01a602491895192b2158a22b224468eec13215fe6d547e680b235de199101af08f58ea37ffbd6683a409c84c7c233ec164db7f6031045cbda1685a296
DIST typer-0.24.0.tar.gz 118380 BLAKE2B ab0f919882f742aa6a917d9219d25400e8a77370af488b5c26c9b2785aa4107746d6685f480ce1b608d391dc24ee5aed36468a1dc87894ce44be53a03cea9a12 SHA512 881922b1c7fe2577e4a240be90afa3b1c4753caf36793a423dfff7b1be4c8be6123d4157799e54705d523d971f34f6de829ad91a7b1ad68f4f341a0709b2e724
+DIST typer-0.24.1.tar.gz 118613 BLAKE2B fc4821bb1a91e32e7fe2376bda33d5fc411288567b08b460d03aab2a8d6f2ed7ea3f1e32db20cfdeb28258904f5ce5b496ebe25faf9dc221dcfa7fb25c59652d SHA512 581511a2e0397be85023237161c5683e3ea8cf30208b5090fe4b037fb1d351f3e1e80e33bc0dcf6d116a71926561cfb560b631fffb38195afffcf9a9a1e71439
diff --git a/dev-python/typer/typer-0.24.1.ebuild b/dev-python/typer/typer-0.24.1.ebuild
new file mode 100644
index 000000000000..526ae3f45ea4
--- /dev/null
+++ b/dev-python/typer/typer-0.24.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 2025-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 shell-completion pypi
+
+DESCRIPTION="Build great CLIs. Easy to code. Based on Python type hints"
+HOMEPAGE="
+ https://typer.tiangolo.com/
+ https://github.com/fastapi/typer/
+ https://pypi.org/project/typer/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/annotated-doc-0.0.2[${PYTHON_USEDEP}]
+ >=dev-python/click-8.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rich-12.3.0[${PYTHON_USEDEP}]
+ >=dev-python/shellingham-1.3.0[${PYTHON_USEDEP}]
+ cli? ( !dev-lang/erlang )
+"
+BDEPEND="
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ if ! use cli; then
+ sed -i -e '/typer\.cli/d' pyproject.toml || die
+ fi
+}
+
+python_test() {
+ # See scripts/tests.sh
+ local -x TERMINAL_WIDTH=3000
+ local -x _TYPER_FORCE_DISABLE_TERMINAL=1
+ local -x _TYPER_RUN_INSTALL_COMPLETION_TESTS=1
+
+ epytest
+}
+
+python_install() {
+ if use cli && [[ ! ${COMPLETIONS_INSTALLED} ]]; then
+ local -x _TYPER_COMPLETE_TEST_DISABLE_SHELL_DETECTION=1
+ newbashcomp - typer < <(typer --show-completion bash || die)
+ newzshcomp - typer < <(typer --show-completion zsh || die)
+ newfishcomp - typer < <(typer --show-completion fish || die)
+ COMPLETIONS_INSTALLED=1
+ fi
+
+ distutils-r1_python_install
+}
diff --git a/dev-python/xmltodict/Manifest b/dev-python/xmltodict/Manifest
index d190bbb28dc2..6b5ad7a52f1f 100644
--- a/dev-python/xmltodict/Manifest
+++ b/dev-python/xmltodict/Manifest
@@ -1,3 +1,5 @@
DIST xmltodict-1.0.2.tar.gz 25725 BLAKE2B e61eba4b62019c0f96b70a1914ecb3e031c3c2cdacddbbfdb65ab8f1665c60c357031fc1df956d92dfad7696f13e6253246b707b3d7812c15ded84c453db8938 SHA512 19c277ccf415a0ab8e7c1f7b647e1939323419d7b309adc62c851096f101d6d8305bb53b3abba31a9b681ce41d1a5d246d541355b4489cb19749f852c2165c74
DIST xmltodict-1.0.3.tar.gz 25170 BLAKE2B 5fbc98e6bb8d3cbb0f6ce56869e411f910dd5f3744a490ccbe69d7084b866b272fc50c713d8803e2a066b8aa53841615a6a91d0dd779f944d0dcd1979eb5072a SHA512 b1bd3bbd8b60705aca514f71d161094b49ba326496025ae347175aa3371d08c165ac80bc90d39362ddb2e4ef5ae4e73dcb8ccca9d2893338a908f8f422ee9e95
DIST xmltodict-1.0.3.tar.gz.provenance 9463 BLAKE2B 46fd79e08ae5dd69669c69f38a1db77a084a44d1099e3e5a441d2b8df7d4282a64fa3dd6581fceaf1764d1abf00e9c009c1fd28f2671fd1df135ed67be52b92b SHA512 410e3e30154cf4ab6f9265285090205d982e371bd2f2e27d5b70e49111bbf44254cd3cc49b2021628d4b29c40fed5c36784a5125830266abd840f5f0c1611a62
+DIST xmltodict-1.0.4.tar.gz 26124 BLAKE2B 6897a22b1d9dc72f73faff46b7a1c8395be705022ee4c45af3ab9a8bf9c3631d41a69b99e591900fef60282f10a844590bca63184ad337f84b5f3552411e63c6 SHA512 88150b0ac0c9470466dc8913557f8027c79588f0be43c0a8f253651f4713a325fa382da0bda0d4e65cc9335d8e1c4173e8f4167ad2dac0a34cb5a7dd43df8a5b
+DIST xmltodict-1.0.4.tar.gz.provenance 9698 BLAKE2B 7fa12f9d951ea228a1be7ae28032988acb205394e16025fac10d346d8bcc4d64a0ba68383ad8c7bb98c120a130800ffff24805ca9d1d0a42c5157f644c122fbf SHA512 37efb0e3589472736d37d8122938e7998e1abf7c2ae76b3609872b1fb1cc5d98621017c725c1ef64f01f3104dfcad9ecac35a69f8cc3f8f832f08658019010e5
diff --git a/dev-python/xmltodict/xmltodict-1.0.4.ebuild b/dev-python/xmltodict/xmltodict-1.0.4.ebuild
new file mode 100644
index 000000000000..d2e23264bc44
--- /dev/null
+++ b/dev-python/xmltodict/xmltodict-1.0.4.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..14} pypy3_11 )
+PYPI_VERIFY_REPO=https://github.com/martinblech/xmltodict
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Makes working with XML feel like you are working with JSON"
+HOMEPAGE="
+ https://github.com/martinblech/xmltodict/
+ https://pypi.org/project/xmltodict/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest